package com.gic.store.dao.mapper;

import com.gic.store.entity.TabCity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabCityMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:55
 */
public interface TabCityMapper {
    /**
     * 根据主键删除
     *
     * @param cityId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(String cityId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCity record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCity record);

    /**
     * 根据主键查询
     *
     * @param cityId 主键
     * @return 实体对象
     */
    TabCity selectByPrimaryKey(String cityId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCity record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCity record);

    /**
     * 查询所有城市
     * @return
     */
    List<TabCity> selectAllCity();
    
    /**
     * queryCity 
     * @Title: queryCity
     * @Description: 
     * @author zhiwj 
 * @param search
     * @return java.util.List<com.gic.store.entity.TabCity>
     * @throws 
     */
    List<TabCity> queryCity(@Param("search")String search);
}