package com.gic.store.dao.mapper;

import com.gic.store.entity.TabClerkTmp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabClerkTmpMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:35
 */
public interface TabClerkTmpMapper {
    /**
     * 根据主键删除
     *
     * @param clerkTmpId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer clerkTmpId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabClerkTmp record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabClerkTmp record);

    /**
     * 根据主键查询
     *
     * @param clerkTmpId 主键
     * @return 实体对象
     */
    TabClerkTmp selectByPrimaryKey(Integer clerkTmpId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabClerkTmp record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabClerkTmp record);

    /**
     * countByClerk
     * @Title: countByClerk
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param uuId
     * @param errorMessage
     * @return int
     * @throws
     */
    int countByClerk(@Param("enterpriseId") Integer enterpriseId, @Param("uuId") String uuId , @Param("errorMessage") String errorMessage);

    /**
     * countByImportFailClerk
     * @Title: countByImportFailClerk
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param uuId
     * @return java.lang.Integer
     * @throws
     */
    Integer countByImportFailClerk(@Param("enterpriseId") Integer enterpriseId, @Param("uuId") String uuId);

    /**
     * delClerkTmp
     * @Title: delClerkTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return void
     * @throws
     */
    void delClerkTmp(@Param("enterpriseId") Integer enterpriseId);

    /**
     * listClerkTmp
     * @Title: listClerkTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param isSuccess
     * @return java.util.List<com.gic.store.entity.TabClerkTmp>
     * @throws
     */
    List<TabClerkTmp> listClerkTmp(@Param("enterpriseId") Integer enterpriseId, @Param("isSuccess") Boolean isSuccess);

    /**
     * listUnImportClerk
     * @Title: listUnImportClerk
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<com.gic.store.entity.TabClerkTmp>
     * @throws
     */
    List<TabClerkTmp> listUnImportClerk(@Param("enterpriseId") String enterpriseId);
}