package com.gic.store.dao.mapper;

import com.gic.store.entity.TabProvince;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabProvinceMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:36
 */
public interface TabProvinceMapper {
    /**
     * 根据主键删除
     *
     * @param provinceId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(String provinceId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabProvince record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabProvince record);

    /**
     * 根据主键查询
     *
     * @param provinceId 主键
     * @return 实体对象
     */
    TabProvince selectByPrimaryKey(String provinceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabProvince record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabProvince record);

    /**
     * selectAllProvince
     * @Title: selectAllProvince
     * @Description:
     * @author zhiwj
     * @return java.util.List<com.gic.store.entity.TabProvince>
     * @throws
     */
    List<TabProvince> selectAllProvince();

    /**
     * queryProvinces
     * @Title: queryProvinces
     * @Description:
     * @author zhiwj
     * @param search
     * @return java.util.List<com.gic.store.entity.TabProvince>
     * @throws
     */
    List<TabProvince> queryProvinces(@Param("search") String search);
}