package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreBusinessTime;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: TabStoreBusinessTimeMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:36
 */
public interface TabStoreBusinessTimeMapper {
    /**
     * 根据主键删除
     *
     * @param storeBusinessTimeId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeBusinessTimeId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreBusinessTime record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreBusinessTime record);

    /**
     * 根据主键查询
     *
     * @param storeBusinessTimeId 主键
     * @return 实体对象
     */
    TabStoreBusinessTime selectByPrimaryKey(Integer storeBusinessTimeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreBusinessTime record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreBusinessTime record);

    /**
     * listBusinessTime
     * @Title: listBusinessTime
     * @Description:
     * @author zhiwj
     * @param storeId
     * @return java.util.List<com.gic.store.entity.TabStoreBusinessTime>
     * @throws
     */
    List<TabStoreBusinessTime> listBusinessTime(Integer storeId);

    /**
     * updateAllBuinessTime
     * @Title: updateAllBuinessTime
     * @Description:
     * @author zhiwj
     * @param weekday
     * @param openTime
     * @param closeTime
     * @param enterpriseId
     * @return int
     * @throws
     */
    int updateAllBuinessTime(@Param("weekday") String weekday, @Param("openTime")Date openTime, @Param("closeTime") Date closeTime,
                             @Param("enterpriseId") Integer enterpriseId);

    /**
     * updateBuinessTimeBystoreInfoIds
     * @Title: updateBuinessTimeBystoreInfoIds
     * @Description:
     * @author zhiwj
     * @param weekday
     * @param openTime
     * @param closeTime
     * @param storeIdList
     * @return int
     * @throws
     */
    int updateBuinessTimeBystoreInfoIds(@Param("weekday") String weekday, @Param("openTime")Date openTime, @Param("closeTime") Date closeTime, @Param("storeInfoIdList") List<Integer> storeIdList);

    /**
     * deleteAllByEnterpriseId
     * @Title: deleteAllByEnterpriseId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return int
     * @throws
     */
    int deleteAllByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);

    /**
     * deleteBystoreInfoIds
     * @Title: deleteBystoreInfoIds
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeInfoIdList
     * @return int
     * @throws
     */
    int deleteBystoreInfoIds(@Param("enterpriseId") Integer enterpriseId, @Param("storeInfoIdList") List<Integer> storeInfoIdList);
}