package com.gic.store.dao.mapper;

import com.gic.store.dto.StoreFieldRegionMapDTO;
import com.gic.store.dto.StoreFieldRegionRelDTO;
import com.gic.store.entity.TabStoreFieldRegionRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabStoreFieldRegionRelMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:37
 */
public interface TabStoreFieldRegionRelMapper {
    /**
     * 根据主键删除
     *
     * @param fieldRegionId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer fieldRegionId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreFieldRegionRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreFieldRegionRel record);

    /**
     * 根据主键查询
     *
     * @param fieldRegionId 主键
     * @return 实体对象
     */
    TabStoreFieldRegionRel selectByPrimaryKey(Integer fieldRegionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreFieldRegionRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreFieldRegionRel record);
    /**
     * 删除
     * @Title: deleteByStoreFieldId 
     * @Description:
      * @author guojuxing
     * @param storeFieldId 
     * @return  int 
      */
    int deleteByStoreFieldId(@Param("storeFieldId") Integer storeFieldId);

    /**
     * 批量删除
     * @Title: deleteFetchByStoreFieldIds 
     * @Description:
      * @author guojuxing
     * @param storeFieldIdList 
     * @return  void 
      */
    void deleteFetchByStoreFieldIds(@Param("list")List<Integer> storeFieldIdList);

    /**
     * 批量新增
     * @Title: saveFetch 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  int 
      */
    int saveFetch(@Param("list") List<StoreFieldRegionRelDTO> list);
    /**
     * 查询有权限的门店字段ID
     * @Title: listStoreFieldId 
     * @Description:
      * @author guojuxing
     * @param regionList 
     * @return  java.util.List<java.lang.Integer> 
      */
    List<Integer> listStoreFieldId(@Param("list") List<Integer> regionList);

    /**
     * 查询门店属性ID map 门店域IDs
     * @Title: listByStoreFieldIdList 
     * @Description:
      * @author guojuxing
     * @param storeFieldIdList 
     * @return  java.util.List<com.gic.store.dto.StoreFieldRegionMapDTO> 
      */
    List<StoreFieldRegionMapDTO> listByStoreFieldIdList(@Param("list") List<Integer> storeFieldIdList);
}