package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreTagTmp;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

/**
 * 
 * @ClassName: TabStoreTagTmpMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:52
 */
public interface TabStoreTagTmpMapper {
    /**
     * 根据主键删除
     *
     * @param storeTagTmpId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeTagTmpId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreTagTmp record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreTagTmp record);

    /**
     * 根据主键查询
     *
     * @param storeTagTmpId 主键
     * @return 实体对象
     */
    TabStoreTagTmp selectByPrimaryKey(Integer storeTagTmpId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreTagTmp record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreTagTmp record);

    /**
     * delStoreTagTmp
     * @Title: delStoreTagTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return void
     * @throws
     */
    void delStoreTagTmp(@Param("enterpriseId") Integer enterpriseId);

    /**
     * listImportError
     * @Title: listImportError
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.github.pagehelper.Page<com.gic.store.entity.TabStoreTagTmp>
     * @throws
     */
    Page<TabStoreTagTmp> listImportError(@Param("enterpriseId") Integer enterpriseId);

    /**
     * querySuccessCount
     * @Title: querySuccessCount
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.lang.Integer
     * @throws
     */
    Integer querySuccessCount(@Param("enterpriseId") Integer enterpriseId);
}