package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.store.dao.mapper.TabStoreFieldRelMapper;
import com.gic.store.dto.StoreFieldRelDTO;
import com.gic.store.entity.TabStoreFieldRel;
import com.gic.store.service.StoreFieldRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;
/**
 * 
 * @ClassName: StoreFieldRelServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:54
 */
@Service("storeFieldRelService")
public class StoreFieldRelServiceImpl implements StoreFieldRelService{
    @Autowired
    private TabStoreFieldRelMapper tabStoreFieldRelMapper;

    @Override
    public void saveStoreFieldRel(StoreFieldRelDTO dto) {
        dto.setCreateTime(new Date());
        dto.setUpdateTime(new Date());
        dto.setStatus(1);
        tabStoreFieldRelMapper.insert(EntityUtil.changeEntityNew(TabStoreFieldRel.class, dto));
    }

    @Override
    public TabStoreFieldRel getByEnterpriseIdAndStoreFieldId(Integer enterpriseId, Integer storeFieldId) {
        TabStoreFieldRel record = new TabStoreFieldRel();
        record.setEnterpriseId(enterpriseId);
        record.setStoreFieldId(storeFieldId);
        return tabStoreFieldRelMapper.selectByParams(record);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteFetch(List<Integer> storeFieldIdList, Integer enterpriseId) {
        tabStoreFieldRelMapper.deleteFetch(storeFieldIdList, enterpriseId);
    }

    @Override
    public void saveFetch(List<StoreFieldRelDTO> dtoList) {

    }
}
