package com.gic.store.web.qo.storestrategy;

import com.gic.store.constant.StoreGroupConstant;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author guojx
 * @date 2019/7/4 1:59 PM
 */
public class StoreStrategyQO implements Serializable{
    private static final long serialVersionUID = 8909390650431679960L;

    public interface SaveValidView {
    }

    public interface StoreStrategyTypeValidView {

    }

    public interface RemoveValidView {
    }

    public interface SwapValidView {
    }

    public interface SetSortValueValidView {
    }

    /**
     *
     */
    @NotNull(message = "主键ID不能为空", groups = {RemoveValidView.class})
    private Integer strategyId;

    /**
     * 策略名称
     */
    @NotBlank(message = "策略名称不能为空", groups = {SaveValidView.class})
    private String strategyName;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 门店域id
     */
    @NotNull(message = "门店域不能为空", groups = {SaveValidView.class})
    private Integer storeRegionId;

    /**
     * 门店分组条件，json数组
     */
    @NotBlank(message = "门店属性条件配置不能为空", groups = {SaveValidView.class})
    private String conditions;

    /**
     * 策略命中值；如果type为门店分组策略，对应分组id；否则为门店启用和不启用值
     */
    @NotBlank(message = "策略命中值不能为空", groups = {SaveValidView.class})
    private String targetValue;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 状态值  1有效  0无效
     */
    private Integer status;

    /**
     * 策略类型，1门店状态策略，   2门店分组策略
     */
    @NotNull(message = "策略类型不能为空", groups = {StoreStrategyTypeValidView.class})
    @Min(value = StoreGroupConstant.STORE_STRATEGY_TYPE, message = "策略类型参数值错误，小于1", groups = {StoreStrategyTypeValidView.class})
    @Max(value = StoreGroupConstant.STORE_GROUP_STRATEGY_TYPE, message = "策略类型参数值错误，大于2", groups = {StoreStrategyTypeValidView.class})
    private Integer strategyType;

    /**
     * 排序字段
     */
    private Double sort;

    /**
     * 策略类型，1门店状态策略时候，可以多选，门店创建方式，1：后台新增   2：批量导入  3：订单生成  4：erp同步,可以多选 _1_2_格式
     */
    private String storeCreateType;

    /**
     * 排序值
     */
    private Integer seq;


    /**
     * 上移或者下移
     */
    @NotNull(message = "移动标志参数值不能为空", groups = {SwapValidView.class})
    @Min(value = StoreGroupConstant.SORT_UP, message = "移动标志参数值错误，小于1", groups = {SwapValidView.class})
    @Max(value = StoreGroupConstant.SORT_TOPPING, message = "移动标志参数值错误，大于4", groups = {SwapValidView.class})
    private Integer upOrDown;

    /**
     * 想要排序的值
     */
    @NotNull(message = "排序值不能为空", groups = {SetSortValueValidView.class})
    private Integer sortValue;

    public Integer getStrategyId() {
        return strategyId;
    }

    public void setStrategyId(Integer strategyId) {
        this.strategyId = strategyId;
    }

    public String getStrategyName() {
        return strategyName;
    }

    public void setStrategyName(String strategyName) {
        this.strategyName = strategyName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreRegionId() {
        return storeRegionId;
    }

    public void setStoreRegionId(Integer storeRegionId) {
        this.storeRegionId = storeRegionId;
    }

    public String getConditions() {
        return conditions;
    }

    public void setConditions(String conditions) {
        this.conditions = conditions;
    }

    public String getStoreCreateType() {
        return storeCreateType;
    }

    public void setStoreCreateType(String storeCreateType) {
        this.storeCreateType = storeCreateType;
    }

    public String getTargetValue() {
        return targetValue;
    }

    public void setTargetValue(String targetValue) {
        this.targetValue = targetValue;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStrategyType() {
        return strategyType;
    }

    public void setStrategyType(Integer strategyType) {
        this.strategyType = strategyType;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Integer getUpOrDown() {
        return upOrDown;
    }

    public void setUpOrDown(Integer upOrDown) {
        this.upOrDown = upOrDown;
    }

    public Integer getSortValue() {
        return sortValue;
    }

    public void setSortValue(Integer sortValue) {
        this.sortValue = sortValue;
    }
}
